package com.tutego.insel.thread.timer;

import java.util.Timer;
import java.util.TimerTask;

class Task extends TimerTask
{
  @Override public void run()
  {
    System.out.println( "Make my day." );
  }
}

public class TimerTaskDemo
{
  public static void main( String[] args )
  {
    Timer timer = new Timer();
    
    // nach zwei Sekunden geht' los
    timer.schedule( new Task(), 2000 );
    
    // nach einer Sekunde geht' los und dann alle fünf Sekunden
    timer.schedule( new Task(), 1000, 5000 );
  }
}
